org.richfaces.component.attribute

## Interface EventsRowProps

- All Known Implementing Classes:
    AbstractCollapsibleSubTable, AbstractDataTable, AbstractExtendedDataTable, AbstractList, UICollapsibleSubTable, UIDataTable, UIDataTableBase, UIExtendedDataTable, UIList

      public interface EventsRowProps

  Interface defining the methods for events-row-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOnrowclick()` Javascript code executed when a pointer button is clicked over table row.
    `String` | `getOnrowdblclick()` Javascript code executed when a pointer button is double clicked over table row.
    `String` | `getOnrowkeydown()` Javascript code executed when a key is pressed down over table row.
    `String` | `getOnrowkeypress()` Javascript code executed when a key is pressed and released over table row.
    `String` | `getOnrowkeyup()` Javascript code executed when a key is released over table row.
    `String` | `getOnrowmousedown()` Javascript code executed when a pointer button is pressed down over table row.
    `String` | `getOnrowmousemove()` Javascript code executed when a pointer button is moved within table row.
    `String` | `getOnrowmouseout()` Javascript code executed when a pointer button is moved away from table row.
    `String` | `getOnrowmouseover()` Javascript code executed when a pointer button is moved onto table row.
    `String` | `getOnrowmouseup()` Javascript code executed when a pointer button is released over table row.

- - ### Method Detail

    - #### getOnrowclick

          String getOnrowclick()

      Javascript code executed when a pointer button is clicked over table row.

    - #### getOnrowdblclick

          String getOnrowdblclick()

      Javascript code executed when a pointer button is double clicked over table row.

    - #### getOnrowmousedown

          String getOnrowmousedown()

      Javascript code executed when a pointer button is pressed down over table row.

    - #### getOnrowmouseup

          String getOnrowmouseup()

      Javascript code executed when a pointer button is released over table row.

    - #### getOnrowmouseover

          String getOnrowmouseover()

      Javascript code executed when a pointer button is moved onto table row.

    - #### getOnrowmousemove

          String getOnrowmousemove()

      Javascript code executed when a pointer button is moved within table row.

    - #### getOnrowmouseout

          String getOnrowmouseout()

      Javascript code executed when a pointer button is moved away from table row.

    - #### getOnrowkeypress

          String getOnrowkeypress()

      Javascript code executed when a key is pressed and released over table row.

    - #### getOnrowkeydown

          String getOnrowkeydown()

      Javascript code executed when a key is pressed down over table row.

    - #### getOnrowkeyup

          String getOnrowkeyup()

      Javascript code executed when a key is released over table row.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.